| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
Ogre::ProfileInstance Class Reference
Core » General

Represents an individual profile call. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::ProfileInstance:
[legend]

## Public Types
typedef std::map< String, ProfileInstance * > | ProfileChildren

## Public Member Functions
| ProfileInstance (void)
virtual | ~ProfileInstance (void)
void | logResults ()
void | reset ()
bool | watchForLimit (Real limit, bool greaterThan=true)
bool | watchForLimit (const String &profileName, Real limit, bool greaterThan=true)
bool | watchForMax (void)
bool | watchForMax (const String &profileName)
bool | watchForMin (void)
bool | watchForMin (const String &profileName)

## Public Attributes
ulong | accum
| Represents the total time of all child profiles to subtract from this profile. More...
ProfileChildren | children
ulong | currTime
| The time this profile was started. More...
ProfileFrame | frame
ulong | frameNumber
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile. More...
ProfileHistory | history
String | name
| The name of the profile. More...
ProfileInstance * | parent
| The name of the parent, null if root. More...

## Friends
class | Profiler

## Detailed Description

Represents an individual profile call.

## Member Typedef Documentation

## ◆ ProfileChildren

typedef std::map<String,ProfileInstance*> Ogre::ProfileInstance::ProfileChildren

## Constructor & Destructor Documentation

## ◆ ProfileInstance()

Ogre::ProfileInstance::ProfileInstance | ( | void |  | ) |

## ◆ ~ProfileInstance()

virtual Ogre::ProfileInstance::~ProfileInstance | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ logResults()

void Ogre::ProfileInstance::logResults | ( |  | ) |

## ◆ reset()

void Ogre::ProfileInstance::reset | ( |  | ) |

## ◆ watchForMax() [1/2]

bool Ogre::ProfileInstance::watchForMax | ( | void |  | ) |
| inline

## ◆ watchForMin() [1/2]

bool Ogre::ProfileInstance::watchForMin | ( | void |  | ) |
| inline

## ◆ watchForLimit() [1/2]

bool Ogre::ProfileInstance::watchForLimit | ( | Real | limit,
|  | bool | greaterThan = `true`
| ) |  |
| inline

## ◆ watchForMax() [2/2]

bool Ogre::ProfileInstance::watchForMax | ( | const String & | profileName | ) |

## ◆ watchForMin() [2/2]

bool Ogre::ProfileInstance::watchForMin | ( | const String & | profileName | ) |

## ◆ watchForLimit() [2/2]

bool Ogre::ProfileInstance::watchForLimit | ( | const String & | profileName,
|  | Real | limit,
|  | bool | greaterThan = `true`
| ) |  |

## Friends And Related Function Documentation

## ◆ Profiler

friend class Profiler
| friend

## Member Data Documentation

## ◆ name

String Ogre::ProfileInstance::name

The name of the profile.

## ◆ parent

ProfileInstance* Ogre::ProfileInstance::parent

The name of the parent, null if root.

## ◆ children

ProfileChildren Ogre::ProfileInstance::children

## ◆ frame

ProfileFrame Ogre::ProfileInstance::frame

## ◆ frameNumber

ulong Ogre::ProfileInstance::frameNumber

## ◆ history

ProfileHistory Ogre::ProfileInstance::history

## ◆ currTime

ulong Ogre::ProfileInstance::currTime

The time this profile was started.

## ◆ accum

ulong Ogre::ProfileInstance::accum

Represents the total time of all child profiles to subtract from this profile.

## ◆ hierarchicalLvl

uint Ogre::ProfileInstance::hierarchicalLvl

The hierarchical level of this profile, 0 being the root profile.

The documentation for this class was generated from the following file:

- OgreProfiler.h